MAXScript Extensions > MAXScript Extensions for Solid Bodies >

# Join_Bodies : GeometryClass

    Join_Bodies - superclass: GeometryClass; super-superclass:node - 9:6 - classID: #(1669870298, 70329400)

The Join_Bodies object allows the joining of Solid Bodies in 3ds Max 2011 and higher..

Constructors:

    Join_Bodies... Body_Join...

Properties:

## Conversion Parameters

### Operation

    <Join_Bodies>.BrepOperation (NURBS_Creation_Radio) : integer

Get/set the state of the Operation radio buttons.

Valid values are:

0 - Weld Edges Only (Fast)

1 - Weld Edges To Surface

2 - Do Nothing

3 - Intersect+Merge Faces

4 - Boolean Union

5 - Weld Into Solid (Slow)

## Operator Parameters

### Display

    <Join_Bodies>.ShowResultOP (Show_Result__Hide_Ops) : boolean

Get/set the state of the Result checkbox.

    <Join_Bodies>.ShowAllOperandsOP (Show_Ops__Hide_Result) : boolean

Get/set the state of the All Operands checkbox.

    <Join_Bodies>.ShowSelectedOperandsOP (Show_Selected_Operands) : boolean

Get/set the state of the Selected Operands checkbox.

Not Exposed To UI

    <Join_Bodies>.TwoSidedMeshesOP (Two_Sided_Mesh) : boolean
    <Join_Bodies>.SaveBrepsOP (Save_NURBS_Breps) : boolean
    <Join_Bodies>.FastEditOP (Fast_Edit) : boolean
    <Join_Bodies>.OP_NOT_USED1 (Update_Radio) : integer
    <Join_Bodies>.OP_NOT_USED2 (Update_Now) : boolean
    <Join_Bodies>.OP_NOT_USED3 (Save_Render_Mesh) : boolean
    <Join_Bodies>.OP_NOT_USED4 (Save_Viewport_Mesh) : boolean

## Rendering Approximation

    <Join_Bodies>.RenderViewportMeshRA (Render_Viewport_Mesh) : boolean

Get/set the state of the Use Viewport Mesh checkbox.

### Render Mesh Generation

    <Join_Bodies>.RenderRadioRA (Render_Radio) : integer

Get/set the state of the Render Mesh Generation radio buttons.

Possible values are:

0 - View Dependent Approx.

1 - Size Dependent Approx. (default)

### Render Mesh Quality Presets

    <Join_Bodies>.LowQualityRA (LowQuality) : boolean

Get/set the state of the Draft checkbutton.

    <Join_Bodies>.MediumQualityRA (MediumQuality) : boolean

Get/set the state of the Good checkbutton.

    <Join_Bodies>.HighQualityRA (HighQuality) : boolean

Get/set the state of the Production checkbutton.

### Approximation

    <Join_Bodies>.FaceApproxAngleRA (Face_Angle) : float

Get/set the Face Approx. Angle value.

    <Join_Bodies>.EdgeApproxAngleRA (Edge_Angle) : float

Get/set the Edge Approx. Angle value.

    <Join_Bodies>.FaceChordRA (Face_Chord) : float

Get/set the Face Chors %/Pixels value.

    <Join_Bodies>.EdgeChordRA (Edge_Chord) : float

Get/set the Edge Chord %/Pixels value.

    <Join_Bodies>.MaxEdgeRA (Edge_Length_Rendering) : float

Get/set the Max.Edge %/Pixels value.

### Misc. Options

    <Join_Bodies>.WeldAndSmoothRA (Weld_and_Smooth) : boolean

Get/set the state of the Weld And Smooth Mesh checkbox.

    <Join_Bodies>.SaveRenderMeshRA (Save_Render_Mesh) : boolean

Get/set the state of the Save Render Mesh checkbox.

## Viewport Display Settings

    <Join_Bodies>.DisplayRadioVDS (Display_Radio) : integer

Get/set the state of the Display Options radio buttons.

Possible values are:

0 - Curves

1 - Mesh

2 - Both (default)

### Mesh Quality Presets

    <Join_Bodies>.LowQualityVDS (LowQuality) : boolean

Get/set the state of the Coarse checkbutton.

    <Join_Bodies>.MediumQualityVDS (MediumQuality) : boolean

Get/set the state of the Medium checkbutton.

    <Join_Bodies>.HighQualityVDS (HighQuality) : boolean

Get/set the state of the Fine checkbutton.

### Mesh Display

    <Join_Bodies>.CleanMeshVDS (CleanMesh) : boolean

Get/set the state of the Weld/Smooth checkbox.

    <Join_Bodies>.FaceApproxAngleVDS (Face_Approx__Angle) : float

Get/set the Face Approx. Angle value.

    <Join_Bodies>.EdgeApproxAngleVDS (Edge_Approx__Angle) : float

Get/set the Edge Approx. Angle value.

    <Join_Bodies>.FaceChordHeightVDS (Face_Chord_Height) : float

Get/set the Face Distance % value.

    <Join_Bodies>.EdgeChordHeightVDS (Edge_Chord_Height) : float

Get/set the Edge Distance % value.

    <Join_Bodies>.MaxEdgeLengthPctVDS (Edge_Length) : float

Get/set the Max.Edge Len. % value.

    <Join_Bodies>.SmoothingPassesVDS (Smoothing_Passes) : float

Get/set the Smoothing Passes value.

### Curve Display

    <Join_Bodies>.ULinesVDS (U_Lines) : float

Get/set the Lines U value.

    <Join_Bodies>.VLinesVDS (V_Lines) : float

Get/set the Lines V value.

    <Join_Bodies>.DisplaySurfaceKnotsVDS (Display_Surface_Knots) : boolean

Get/set the state of the Display Surface Knots checkbox.

    <Join_Bodies>.IsoAngleDS (Iso_Angle) : float

Get/set the Approx value.

    <Join_Bodies>.IsoChordHeightVDS (Iso_Chord) : float

Get/set the Curve Distance value.

### Not Exposed To UI

    <Join_Bodies>.SubDMeshVDS (SubDMesh) : boolean
     <Join_Bodies>.VDS_NOT_USED1 (Update) : boolean

## Face Display Parameters

No Properties Exposed.

## Not Exposed To UI

    <Join_Bodies>.BrepOperation Integer default: 0 -- integer; NURBS_Creation_Radio
    <Join_Bodies>.Edge_Angle Float default: 0.0
    <Join_Bodies>.Edge_Chord Float default: 0.0
    <Join_Bodies>.Edge_Length_Rendering Float default: 0.0
    <Join_Bodies>.Face_Angle Float default: 40.0
    <Join_Bodies>.Face_Chord Float default: 0.5
    <Join_Bodies>.MakeIntoSolid BooleanClass default: false -- boolean; Make_Solid
    <Join_Bodies>.ToBrepObjectHelp BooleanClass default: false -- boolean; Join_Quick_Help

    <Join_Bodies>.FilletAllEdgesFAO : boolean
    <Join_Bodies>.FirstOrEndEdgesFAO : boolean
    <Join_Bodies>.SecondOrSideEdgesFAO : boolean
    <Join_Bodies>.ThirdOrStartEdgesFAO : boolean
    <Join_Bodies>.FAO_NOT_USED1 : boolean
    <Join_Bodies>.FAO_NOT_USED2 : boolean
    <Join_Bodies>.FAO_NOT_USED3 : boolean
    <Join_Bodies>.FilletRadiusFAO : float
    <Join_Bodies>.ApproximateArcFAO : boolean
    <Join_Bodies>.ConstantDistanceFAO : boolean
    <Join_Bodies>.LinearCrossSectionFAO : boolean
    <Join_Bodies>.ShellStartFaceFAO : boolean
    <Join_Bodies>.ShellEndFaceFAO : boolean
    <Join_Bodies>.ShellRadioFAO : integer
    <Join_Bodies>.OffsetRadiusFAO : float
    <Join_Bodies>.FAO_NOT_USED4 : boolean
    <Join_Bodies>.CornerExtensionFAO (Corner_Extension) : boolean
    <Join_Bodies>.SectionTypeFAO : integer
    <Join_Bodies>.BlendStrengthFAO : float

## Surface Analysis (Not Exposed To UI)

    <Join_Bodies>.DisplayControlPointsSA (Display_Control_Points) : boolean
    <Join_Bodies>.DisplayControlMeshSA (Display_Control_Mesh) : boolean
    <Join_Bodies>.DisplayCurveCurvatureSA (Display_Curve_Curvature) : boolean
    <Join_Bodies>.CurveCurvatureTypeSA (Curve_Curvature_Type) : integer
    <Join_Bodies>.CurvatureScaleSA (Curvature_Scale) : float
    <Join_Bodies>.CurvatureDensitySA (Curvature_Density) : float
    <Join_Bodies>.DisplaySurfaceCurvatureSA (Display_Surface_Curvature) : boolean
    <Join_Bodies>.SurfaceCurvatureTypeSA (Surface_Curvature_Type) : integer
    <Join_Bodies>.StdDevMultiplesSA (Std__Dev__Multiples) : float
    <Join_Bodies>.UseMinMaxRangeSA (Use_Min_Max_Range) : boolean
    <Join_Bodies>.StdDevMinRangeSA (Std__Dev__Min_Range) : float
    <Join_Bodies>.StdDevMaxRangeSA (Std__Dev__Max_Range) : float
    <Join_Bodies>.SurfAnalysisQuickHelpSA (Surface_Analysis_Quick_Help) : boolean

## NQ(Not Exposed To UI)

    <Join_Bodies>.ExtrToBrepNQ (Extr_To_NURBS_Brep) : boolean
    <Join_Bodies>.ExtrToNURBSNQ (Extr_To_Nurbs) : boolean
    <Join_Bodies>.ExtrToCurveNQ (Extr_To_Curve) : boolean
    <Join_Bodies>.NQ_NOT_USED1 (Flip_All) : boolean
    <Join_Bodies>.NQ_NOT_USED2 (Flip_Selected) : boolean
    <Join_Bodies>.NQ_NOT_USED3 (Extract_To_Spline) : boolean
    <Join_Bodies>.NQ_NOT_USED4 (Show_Counts) : boolean
    <Join_Bodies>.NQ_NOT_USED5 (Extract_To_CShape) : boolean

#### See Also

- Body_Cutter : GeometryClass

- Body_Object : GeometryClass

- Body_Utility : GeometryClass

- Body Objects